Bug 845079 - When system-config-users is called the application starts and disappears immediately
When system-config-users is called the application starts and disappears imme...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-users (Show other bugs)
5.8
All Linux
medium Severity high
: rc
: ---
Assigned To: Nils Philippsen
BaseOS QE Security Team
: Patch, Reopened
Depends On:
Blocks: 921048 1002709
  Show dependency treegraph
 
Reported: 2012-08-01 13:07 EDT by bouzzi
Modified: 2013-10-06 21:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-06 21:40:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
utf8 patch for rhel5 s-c-users (1.36 KB, patch)
2012-08-09 17:27 EDT, Jeff Bastian
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 183983 None None None 2012-08-09 17:46:44 EDT

  None (edit)
Description bouzzi 2012-08-01 13:07:51 EDT
Description of problem:
Here what in happening when system-config-users is called from gnome-terminal...

[root@server ~]# /usr/bin/system-config-users
Traceback (most recent call last):
  File "/usr/share/system-config-users/system-config-users.py", line 45, in ?
    mainWindow.mainWindow()
  File "/usr/share/system-config-users/mainWindow.py", line 266, in __init__
    self.refresh()
  File "/usr/share/system-config-users/mainWindow.py", line 427, in refresh
    self.populate_lists()
  File "/usr/share/system-config-users/mainWindow.py", line 518, in populate_lists
    self.populate_user_list()
  File "/usr/share/system-config-users/mainWindow.py", line 458, in populate_user_list
    gecos = unicode (gecos, 'utf-8')
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 1-3: invalid data
[root@server ~]#

How do I fix this?
Comment 1 Jeff Bastian 2012-08-09 17:23:47 EDT
This was reported and fixed with Fedora 10:
https://bugzilla.redhat.com/show_bug.cgi?id=235533

And the patch:
http://git.fedorahosted.org/cgit/system-config-users.git/commit/?id=dd674ae82931cd9f5b93e2fa550a4befa8da0184



Steps to reproduce the error:
1. useradd -c $(perl -e 'print "Test\xf6"') testutf8
2. system-config-user
Comment 2 Jeff Bastian 2012-08-09 17:27:37 EDT
Created attachment 603353 [details]
utf8 patch for rhel5 s-c-users
Comment 6 RHEL Product and Program Management 2013-05-01 02:45:54 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 Andrius Benokraitis 2013-10-06 21:40:01 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 5, and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.